import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/s_g_labour_review_table_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/s_g_labour_review_table_entity.g.dart';

@JsonSerializable()
class SGLabourReviewTableEntity {
	int total= 0;
	List<SGLabourReviewTableRows> rows = [];

	SGLabourReviewTableEntity();

	factory SGLabourReviewTableEntity.fromJson(Map<String, dynamic> json) => $SGLabourReviewTableEntityFromJson(json);

	Map<String, dynamic> toJson() => $SGLabourReviewTableEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class SGLabourReviewTableRows {
	@JSONField(name: "record_id")
	String? recordId;
	@JSONField(name: "order_id")
	String? orderId;
	@JSONField(name: "request_id")
	String? requestId;
	String? source;
	@JSONField(name: "status_show")
	String? statusShow;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "job_date")
	String? jobDate;
	@JSONField(name: "outlet_name")
	String? outletName;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "job_time")
	String? jobTime;
	@JSONField(name: "working_hours")
	String? workingHours;
	@JSONField(name: "hiring_num")
	String? hiringNum;

	bool isSelected = false;

	SGLabourReviewTableRows();

	factory SGLabourReviewTableRows.fromJson(Map<String, dynamic> json) => $SGLabourReviewTableRowsFromJson(json);

	Map<String, dynamic> toJson() => $SGLabourReviewTableRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}